## javax.faces.component
Class UICommand

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UICommand

All Implemented Interfaces:
  ActionSource, StateHolder

Direct Known Subclasses:
  HtmlCommandButton, HtmlCommandLink

public class UICommand
extends UIComponentBase
implements ActionSource

see Javadoc of JSF Specification

Version:
  $Revision: 166994 $ $Date: 2004-07-01 18:12:40 -0400 (Thu, 01 Jul 2004) $
Author:
  Manfred Geiler (latest modification by $Author: mwessendorf $)

Field Summary
`static java.lang.String` `COMPONENT_FAMILY`
`static java.lang.String` `COMPONENT_TYPE`

Constructor Summary
`UICommand()`

Method Summary
`void` `addActionListener(ActionListener listener)`
`void` `broadcast(FacesEvent event)`
`MethodBinding` `getAction()`
`MethodBinding` `getActionListener()`
`ActionListener[]` `getActionListeners()`
`java.lang.String` `getFamily()`
`java.lang.Object` `getValue()`
`boolean` `isImmediate()`
`void` `queueEvent(FacesEvent event)`
`void` `removeActionListener(ActionListener listener)`
`void` `restoreState(FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(FacesContext context)`
`void` `setAction(MethodBinding action)`
`void` `setActionListener(MethodBinding actionListener)`
`void` `setImmediate(boolean immediate)`
`void` `setValue(java.lang.Object value)`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UICommand

    public UICommand()

Method Detail

### setAction

    public void setAction(MethodBinding action)

  Specified by:
    `setAction` in interface `ActionSource`

### getAction

    public MethodBinding getAction()

  Specified by:
    `getAction` in interface `ActionSource`

### setActionListener

    public void setActionListener(MethodBinding actionListener)

  Specified by:
    `setActionListener` in interface `ActionSource`

### getActionListener

    public MethodBinding getActionListener()

  Specified by:
    `getActionListener` in interface `ActionSource`

### addActionListener

    public void addActionListener(ActionListener listener)

  Specified by:
    `addActionListener` in interface `ActionSource`

### getActionListeners

    public ActionListener[] getActionListeners()

  Specified by:
    `getActionListeners` in interface `ActionSource`

### removeActionListener

    public void removeActionListener(ActionListener listener)

  Specified by:
    `removeActionListener` in interface `ActionSource`

### broadcast

    public void broadcast(FacesEvent event)
                   throws AbortProcessingException

  Overrides:
    `broadcast` in class `UIComponentBase`
  Throws:
    `AbortProcessingException`

### queueEvent

    public void queueEvent(FacesEvent event)

  Overrides:
    `queueEvent` in class `UIComponentBase`

### getFamily

    public java.lang.String getFamily()

  Specified by:
    `getFamily` in class `UIComponent`

### setImmediate

    public void setImmediate(boolean immediate)

  Specified by:
    `setImmediate` in interface `ActionSource`

### isImmediate

    public boolean isImmediate()

  Specified by:
    `isImmediate` in interface `ActionSource`

### setValue

    public void setValue(java.lang.Object value)

### getValue

    public java.lang.Object getValue()

### saveState

    public java.lang.Object saveState(FacesContext context)

  Specified by:
    `saveState` in interface `StateHolder`
  Overrides:
    `saveState` in class `UIComponentBase`

### restoreState

    public void restoreState(FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `StateHolder`
  Overrides:
    `restoreState` in class `UIComponentBase`